summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Richard Scott Smith <pilbender@gmail.com>2012-06-25 22:08:00 -0400
committer dsomero <xgizzmo@slackbuilds.org>2012-06-25 22:08:00 -0400
commit9544e81473d2609ff70629a9cf228505ab424f9b (patch)
tree6305c12349956911a5310553009abf3576b8b459
parentc62d95a673dffe448970651cd98bb6bae2dd6403 (diff)
downloadslackbuilds-9544e81473d2609ff70629a9cf228505ab424f9b.tar.gz
slackbuilds-9544e81473d2609ff70629a9cf228505ab424f9b.tar.xz
academic/free42: Added (HP-42S calculator and HP-82240 printer)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--academic/free42/README6
-rw-r--r--academic/free42/free42.SlackBuild88
-rw-r--r--academic/free42/free42.info10
-rw-r--r--academic/free42/slack-desc19
4 files changed, 123 insertions, 0 deletions
diff --git a/academic/free42/README b/academic/free42/README
new file mode 100644
index 0000000000..3c30f40e9f
--- /dev/null
+++ b/academic/free42/README
@@ -0,0 +1,6 @@
+Free42 is a re-implementation of the HP-42S calculator and the HP-82240 printer.
+It is a complete rewrite, not using any HP code, and it does not require an
+HP-42S ROM image. Free42 is an Open Source project. The executables and source
+code are released under the terms of the GNU General Public License, version 2.
+All third-party code used in Free42 is either in the public domain, or licensed
+under terms compatible with GPLv2, or used with the authors' permission.
diff --git a/academic/free42/free42.SlackBuild b/academic/free42/free42.SlackBuild
new file mode 100644
index 0000000000..78dd705941
--- /dev/null
+++ b/academic/free42/free42.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for free42
+
+# Copyright 2012 Richard Scott smith <pilbender@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=free42
+VERSION=1.4.74
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM.tgz
+cd $PRGNAM
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+cd gtk
+
+make
+make -e BCD_MATH=1
+
+cd $PKG
+mkdir -p $PKG/usr/bin
+cp $TMP/$PRGNAM/gtk/free42bin $PKG/usr/bin
+cp $TMP/$PRGNAM/gtk/free42dec $PKG/usr/bin
+
+cd $TMP/$PRGNAM
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/free42/free42.info b/academic/free42/free42.info
new file mode 100644
index 0000000000..0610e86bba
--- /dev/null
+++ b/academic/free42/free42.info
@@ -0,0 +1,10 @@
+PRGNAM="free42"
+VERSION="1.4.74"
+HOMEPAGE="http://thomasokken.com/free42/index.html"
+DOWNLOAD="http://thomasokken.com/free42/download/free42.tgz"
+MD5SUM="4f103e1243924cc47eed40d8df003bf7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Richard Scott Smith"
+EMAIL="pilbender@gmail.com"
+APPROVED="dsomero"
diff --git a/academic/free42/slack-desc b/academic/free42/slack-desc
new file mode 100644
index 0000000000..79003710bf
--- /dev/null
+++ b/academic/free42/slack-desc
@@ -0,0 +1,19 @@
+ HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+free42: Free42 (re-implementation of HP-42S calculator and HP-82240 printer)
+free42:
+free42: Free42 is a re-implementation of the HP-42S calculator and the
+free42: HP-82240 printer. It is a complete rewrite, not using any HP code,
+free42: and it does not require an HP-42S ROM image. Free42 is an Open
+free42: Source project. The executables and source code are released
+free42: under the terms of the GNU General Public License, version 2.
+free42: All third-party code used in Free42 is either in the public domain,
+free42: or licensed under terms compatible with GPLv2, or used with the
+free42: authors' permission.
+free42: Homepage: http://thomasokken.com/free42/index.html